Skip to main content
PATCH
/
invoices
/
{id}
Update an existing Invoice
curl --request PATCH \
  --url https://commerce.driv.ly/api/invoices/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "customer": "<string>",
  "deal": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "customer": "<string>",
    "deal": "<string>"
  },
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.driv.ly/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Invoice is uniquely identified by id

Query Parameters

depth
integer

The number of levels of related objects to include in the response

Body

application/json
id
string

Invoice is uniquely identified by id

customer

Customer pays Invoice

deal

Invoice is issued for Deal

Response

Invoice Updated

data
Invoice · object
Example:
{
"id": "inv_39dk39dks933",
"deal": "deal_5ksj49dkvdl2",
"customer": "cus_k3j5s9qj3w0d"
}
success
boolean